package com.gic.haoban.manage.service.entity.role;

import java.io.Serializable;
import java.util.Date;

/**
 * 好办小程序权限(TabHaobanRole)实体类
 *
 * @author mozhu
 * @since 2022-09-06 16:35:07
 */
public class TabHaobanRole implements Serializable {

    private static final long serialVersionUID = 554109287178364863L;

    private Long roleId;
    /**
     * 权限名称
     */
    private String roleName;

    /**
     * 0:导购；1:店长；3:区经
     */
    private Integer clerkType;

    private String wxEnterpriseId;

    private String creatorId;

    private String creatorName;

    private String modifierId;

    private String modifierName;
    /**
     * 1:正常;0:删除
     */
    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    /**
     * 0：运维后台；1：好办web
     */
    private Integer systemFlag;


    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(Integer systemFlag) {
        this.systemFlag = systemFlag;
    }
}

